//*****************************************************************************
// Do not remove this notice.
//
// Copyright 2001 by Mike Hall.
// See http://www.brainjar.com for terms of use.
//*****************************************************************************

// Determine browser and version.

function Browser() {

	var ua, s, i;

	this.isIE = false;
	this.isNS = false;
	this.version = null;

	ua = navigator.userAgent;

	s = "MSIE";
	if ((i = ua.indexOf(s)) >= 0) {
		this.isIE = true;
		this.version = parseFloat(ua.substr(i + s.length));
		return;
	}

	s = "Netscape6/";
	if ((i = ua.indexOf(s)) >= 0) {
		this.isNS = true;
		this.version = parseFloat(ua.substr(i + s.length));
		return;
	}

	// Treat any other "Gecko" browser as NS 6.1.

	s = "Gecko";
	if ((i = ua.indexOf(s)) >= 0) {
		this.isNS = true;
		this.version = 6.1;
		return;
	}
}

var browser = new Browser();

// Global object to hold resize information.

var resizeObj = new Object();
resizeObj.zIndex = 0;

function resizeStart(event, id) {

	var el;
	var x, y;

	// If an element id was given, find it. Otherwise use the element being
	// clicked on.

	if (id)
		resizeObj.elNode = document.getElementById(id);
	else {
		if (browser.isIE)
			resizeObj.elNode = window.event.srcElement;
		if (browser.isNS)
			resizeObj.elNode = event.target;

		// If this is a text node, use its parent element.

		if (resizeObj.elNode.nodeType == 3)
			resizeObj.elNode = resizeObj.elNode.parentNode;
	}

	// Get cursor position with respect to the page.

	if (browser.isIE) {
		x = window.event.clientX + document.documentElement.scrollLeft
				+ document.body.scrollLeft;
		y = window.event.clientY + document.documentElement.scrollTop
				+ document.body.scrollTop;
	}
	if (browser.isNS) {
		x = event.clientX + window.scrollX;
		y = event.clientY + window.scrollY;
	}

	// Save starting positions of cursor and element.

	resizeObj.cursorStartX = x;
	resizeObj.cursorStartY = y;
	resizeObj.elStartLeft = parseInt(resizeObj.elNode.style.left, 10);
	resizeObj.elStartTop = parseInt(resizeObj.elNode.style.top, 10);
	resizeObj.elRight = x + parseInt(resizeObj.elNode.style.width, 10);

	if (isNaN(resizeObj.elStartLeft))
		resizeObj.elStartLeft = 0;
	if (isNaN(resizeObj.elStartTop))
		resizeObj.elStartTop = 0;

	// Update element's z-index.

	// resizeObj.elNode.style.zIndex = ++resizeObj.zIndex;

	// Capture mousemove and mouseup events on the page.

	if (browser.isIE) {
		document.attachEvent("onmousemove", resizeGo);
		document.attachEvent("onmouseup", resizeStop);
		window.event.cancelBubble = true;
		window.event.returnValue = false;
	}
	if (browser.isNS) {
		document.addEventListener("mousemove", resizeGo, true);
		document.addEventListener("mouseup", resizeStop, true);
		event.preventDefault();
	}

	var parent = resizeObj.elNode.parentNode;
	var z = 0;
	for ( var i = 0; i < parent.childNodes.length; i++) {
		if (parent.childNodes[i] == resizeObj.elNode)
			parent.childNodes[i].style.zIndex = (parent.childNodes.length);
		else
			parent.childNodes[i].style.zIndex = z++;
	}
}

function resizeGo(event) {

	var x, y;

	// Get cursor position with respect to the page.

	if (browser.isIE) {
		x = window.event.clientX + document.documentElement.scrollLeft
				+ document.body.scrollLeft;
		y = window.event.clientY + document.documentElement.scrollTop
				+ document.body.scrollTop;
	}
	if (browser.isNS) {
		x = event.clientX + window.scrollX;
		y = event.clientY + window.scrollY;
	}

	if (resizeObj.elStartLeft < x) {// Resizing on right side
		resizeObj.elNode.style.width = (x - resizeObj.elStartLeft) + "px";
	} else {
		//resizeObj.elNode.style.left = x + "px";
		//resizeObj.elNode.style.width = (resizeObj.elRight - x) + "px";
	}
	// Move resize element by the same amount the cursor has moved.

	if (resizeObj.elStartTop < y) {// Resizing on right side
		resizeObj.elNode.style.height = (y - resizeObj.elStartTop) + "px";
	} else {
		//resizeObj.elNode.style.top = x + "px";
		//resizeObj.elNode.style.height = (resizeObj.elTop - x) + "px";
	}
	document.getElementById("iframe_"+resizeObj.elNode.id).style.height = (parseInt(resizeObj.elNode.style.height)-42) + "px";
	/*
	 * resizeObj.elNode.style.left = (resizeObj.elStartLeft + x -
	 * resizeObj.cursorStartX) + "px"; resizeObj.elNode.style.top =
	 * (resizeObj.elStartTop + y - resizeObj.cursorStartY) + "px";
	 */
	if (browser.isIE) {
		window.event.cancelBubble = true;
		window.event.returnValue = false;
	}
	if (browser.isNS)
		event.preventDefault();
}

function resizeStop(event) {

	// Stop capturing mousemove and mouseup events.

	if (browser.isIE) {
		document.detachEvent("onmousemove", resizeGo);
		document.detachEvent("onmouseup", resizeStop);
	}
	if (browser.isNS) {
		document.removeEventListener("mousemove", resizeGo, true);
		document.removeEventListener("mouseup", resizeStop, true);
	}
}
